/***************************************************************************
 *   Copyright (C) 2003 by Matteo Merli                                    *
 *   matteo@petaligrigi.net                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
 

#include "flat_button.h"
#include <kglobal.h>
#include <kiconloader.h>
#include <kcursor.h>

FlatButton::FlatButton(QWidget *parent)
	: QButton( parent )
{
	hbox = new QHBoxLayout(this);
	setCursor( KCursor::handCursor() );
	mColor = this->backgroundColor();
}

FlatButton::~FlatButton()
{
}

void FlatButton::addWidget(QWidget *widget)
{
	hbox->addWidget( widget );
}

void FlatButton::addSpacing(int i)
{
	hbox->addSpacing( i );
}


void FlatButton::enterEvent (QEvent* )
{
	setBackgroundColor( QColor(mColor.red()   - 10,
				   mColor.green() - 10,
				   mColor.blue()  - 10 ));
	emit mouseEnter();
}

void FlatButton::leaveEvent(QEvent* )
{
	setBackgroundColor( mColor );
	emit mouseLeave();
}


#include "flat_button.moc"

